List the participants of an incident with the role they took.
Participants are split into those who are actively helping with the incident and those who are just observing. Each participant is annotated with their participant type.
GET
/
v2
/
incident_participants
List
curl --request GET \
--url https://api.incident.io/v2/incident_participants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v2/incident_participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v2/incident_participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incident_participants": {
"active": [
{
"participant_type": "observer",
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
}
}
],
"passive": [
{
"participant_type": "observer",
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
}
}
]
}
}🔑 Requires the
incidents.view scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Query Parameters
Find participants of this incident
Example:
"01FCNDV6P870EA6S7TK1DSYD5H"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
{
"active": [
{
"participant_type": "observer",
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
}
}
],
"passive": [
{
"participant_type": "observer",
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
}
}
]
}
Was this page helpful?
⌘I
List
